Subject: bug#74981: 29.4; X11 crash when minibuffer text scale is increased greatly

From: Visuwesh <[email-masked]>
Date: Fri, 20 Dec 2024 18:58:06 +0530

[வெள்ளி டிசம்பர் 20, 2024] Eli Zaretskii wrote:

>> Date: Thu, 19 Dec 2024 14:06:59 -0800
>> From:  Joseph Turner via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Tested on two window managers, exwm and dwm, with emacs -Q:
>> 
>> Open the minibuffer, e.g., with M-x eval-expression.  Run
>> text-scale-adjust with C-x C-=. The minibuffer text gets
>> bigger. Repeatedly press C-= until X11 crashes, bringing you back to the
>> login prompt.
>
> Thanks.
>
> I can't reproduce this, but I'm not on X11.  What happens here is that
> after many "C-x C-= C-=" presses, the minibuffer (whose contents
> becomes illegible long before that) starts blinking, and I need to C-g
> out of it (or C-x C-c to kill Emacs).  This seems harmless enough,
> since the enlarged font is not useful past the point where the
> minibuffer no longer shows the minibuffer text.

Same here.  Tested on X11 (Xfce) with a Lucid build and master build
(emacs-repository-version 9ddec89e422d0dd6e9069731b8f2dd2c90aa5607).